# Command: testsuite::test_multithreading

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_multithreading - sli script for several tests regarding multithreading

Synopsis:

    (test_multithreading) run

Description:

      This is a simple testscript to test if multithreading is working
      correctly. The following things are tested:
      * Does setting the number of threads to x result in x threads?
      * Does ResetKernel reset the number of threads to 1?
      * Does default node distribution (modulo) work as expected?

      The data collection over threads is tested in a separate script. See
      SeeAlso key below.

      SeeAlso:testsuite::test_multithreading_devices

Author:

    Jochen Martin Eppler

FirstVersion:

    July 2008

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/testsuite/unittests/test_multithreading.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative